import gtk
import pygame

class ImageHandler(object):
    def __init__(self):
        pass
    
    def getFileName(self, instrument, type):
        fileName = type + "/" + instrument + ".png"
        #print fileName
        return fileName
        
 
    def getImageFromFile(self, fileName, width):
        
        #GUITAR IMAGES
        pixbuf = gtk.gdk.pixbuf_new_from_file(fileName)
        pixbuf = pixbuf.scale_simple(width, width, gtk.gdk.INTERP_BILINEAR)
        fileImage = gtk.Image()
        fileImage.set_from_pixbuf(pixbuf)

        return fileImage


    def getImage(self, instrument, type, width):
        
        return self.getImageFromFile(self.getFileName(instrument, type), width)
        
           
          
class PlaySound(object):
    def __init__(self):
        pygame.init()
        self.guitarSound = pygame.mixer.Sound("guitar_1sec.wav")
        self.drumSound = pygame.mixer.Sound("drum_1sec.wav")
        self.pianoSound = pygame.mixer.Sound("piano_1sec.wav")
        self.trumpetSound = pygame.mixer.Sound("trumpet_1sec.wav")
        self.violinSound = pygame.mixer.Sound("violin_1sec.wav")
    
    def playInstrument(self, instrument=None):
        if instrument == "Guitar":
            self.playGuitar()
        elif instrument == "Drum":
            self.playDrum()
        elif instrument == "Piano":
            self.playPiano()
        elif instrument == "Trumpet":
            self.playTrumpet()
        elif instrument == "Violin":
            self.playViolin()
                    
    def playGuitar(self):
        self.guitarSound.play()
    def playDrum(self):
        self.drumSound.play()
    def playPiano(self):
        self.pianoSound.play()
    def playTrumpet(self):
        self.trumpetSound.play()
    def playViolin(self):
        self.violinSound.play()
      
